PTHREAD_ATTR(3)

NAME
pthread_attr_getscope, pthread_attr_setscope - thread attribute operations

SYNOPSIS
#include <pthread.h>
int
pthread_attr_getscope(const pthread_attr_t *restrict attr, int *restrict contentionscope);
int
pthread_attr_setscope(pthread_attr_t *attr, int contentionscope);

DESCRIPTION
Thread attributes are used to specify parameters to pthread_create(). One attribute object can be used in multiple calls to pthread_create(), with or without modifications between calls.

The pthread_attr_setscope() and pthread_attr_getscope() functions, respectively, set and get the attribute within attr argument that controls the contention scope of the thread. The acceptable values are PTHREAD_SCOPE_SYSTEM, indicating a scheduling contention scope that is system-wide, and PTHREAD_SCOPE_PROCESS, which indicates a process scheduling contention scope. Currently on Mac OS X we only support PTHREAD_SCOPE_SYSTEM.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error.

ERRORS

pthread_attr_getscope() will fail if:

[EINVAL]
    Invalid value for attr.

pthread_attr_setscope() will fail if:

[EINVAL]
    Invalid value for attr.

[ENOTSUP]
    Invalid or unsupported value for contentionscope.

SEE ALSO
pthread_create(3), pthread_attr_init(3), pthread_attr_setinheritsched(3), pthread_attr_setschedpolicy(3), pthread_attr_setschedparam(3)

STANDARDS
pthread_attr_setscope(), pthread_attr_getscope() conform to susv2